function c = corr_data(dim, disk)
% c = corr_data(dim, disk)  Create a random signal, and impose
% correlation.
% 
% dim controls the size of the field
% disk controls the size of the disc used to filter the field.
%
% Matt Foster <ee1mpf@bath.ac.uk>

if nargin < 2
    error('Expected 2 arguments')
end

if any(size(disk) ~= 1)
    error('Disc size should be a single integer')
end

a = randn(dim); 
f = fspecial('disk', disk);
c = filter2(f, a);

c = c + abs(min(c(:)));
c = c./max(c(:));
